  --
  -- fergPlanter
  -- Class for all sowing machines
  --
  -- @author  Stefan Geiger
  -- @date  25/02/08
  --
  -- Copyright (C) GIANTS Software GmbH, Confidential, All Rights Reserved.

  
fergPlanter = {};

function fergPlanter.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Fillable, specializations);
end;
  
function fergPlanter:load(xmlFile)
	self.farmer = {};
	self.farmer[1] = Utils.indexToObject(self.components,getXMLString(xmlFile,"vehicle.farmer#index1"));
	
	setVisibility(self.farmer[1], false);  

end;
  
function fergPlanter:delete()
end;
 
function fergPlanter:readStream(streamId, connection)

end;
  
function fergPlanter:writeStream(streamId, connection)
end;
    
function fergPlanter:mouseEvent(posX, posY, isDown, isUp, button)
end;
  
function fergPlanter:keyEvent(unicode, sym, modifier, isDown)
end;
  
function fergPlanter:update(dt)
 
end;
  
function fergPlanter:updateTick(dt)

	if self:getIsActive() then
		setVisibility(self.farmer[1], self.fillLevel > 0);
	else
		setVisibility(self.farmer[1], false);
	end;
end;
  
function fergPlanter:draw()
end;
--[[
function fergPlanter:onAttach(attacherVehicle)
	setVisibility(self.farmer[1], true);
end;
]]
function fergPlanter:onDetach()
	setVisibility(self.farmer[1], false);
end;
